Subject: Re: BUG: soft lockup detected on CPU#0! (2.6.18.2 plus hacks)

From: Jarek Poplawski <[email-masked]>
Date: Thu, 4 Jan 2007 09:50:14 +0100

On Thu, Jan 04, 2007 at 07:29:30PM +1100, Herbert Xu wrote:
> On Thu, Jan 04, 2007 at 09:03:51AM +0100, Jarek Poplawski wrote:
> > 
> > I doubt this is the right solution. It certainly
> > could fix this particular situation but my main
> > point was packets shouldn't get into kernel
> > receive queues with skb->dev not IFF_UP.
> 
> I think you misunderstood.  The device certainly is IFF_UP.  What
> happens is that the multicast spin locks are set up too late:

Could you explain? I can see some inet_rtm_newaddr
interrupted. For me it could be e.g.:

after
vconfig add eth0 9

ip addr add dev eth0.9 ...

before
ip link set dev eth0.9 up

Jarek P.